// Lizenz GPL 2 und 3, http://www.gnu.org
// Stiftung Forhalde, CH-8636 Wald
// Thanks for the teams of Qt3, QScintilla and Xerces

#include "pxmlvalidator.h"

#include <qapplication.h>
#include <qfile.h>
#include <qfileinfo.h>
#include <qtextedit.h>

int main( int argc, char **argv )
{
	QApplication app( argc, argv );
	//QString tx = app.applicationDirPath();
	//qDebug("App path: "+tx);

	if(argc==2) {

		PXmlValidator* v = new PXmlValidator(0);
		app.setMainWidget(v);
		
		//qDebug("argv 1: "+QString(argv[1]));

		QString fName = QString(argv[1]);
		QFile f; f.setName(fName);
		QFileInfo fi; fi.setFile(f);

		if(v->openValidate(fi.absFilePath())) {
			v->resize(660,600);
			v->show();
			return app.exec();
		} else {
			return 0;
		}
	}

	if(argc==1) {

		PXmlValidator* v = new PXmlValidator(0);

		app.setMainWidget(v);

		QString txM = "<body bgcolor=#FFFFFF><font size=2><br><b>Willkommen beim XML-Validator der Stiftung Forhalde, CH-8636 Wald.</b><br>";
		txM += "Ziehen Sie eine Datei mit der Maus auf das obere Fenster oder ein Alias oder klicken Sie auf die Schaltflche 'ffnen'.<br>";
		txM += "Dies ist ein Open-Source-Programm mit der GPL-Lizenz 2 und 3 und baut auf QScintilla, Xerces und Qt3 auf.<br>";
		txM += "Eine kommerzielle Verwendung ist nicht gestattet. Es ist kostenlos und jede Garantie oder Haftung wird abgelehnt.<br>";
		txM += "Zur Lizenz siehe unter: http://www.gnu.org</font><href='http://www.gnu.org'><img src='gpl3.png'></href></body>";

		v->editERR->setText(txM);

		v->resize(660,600);
		v->show();
	}

	return app.exec();
}
